package intrinsic.mx.controls.treeClasses;

public class HierarchicalViewCursor extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.collections.IViewCursor {

	/** Accessors */
	public int currentDepth;
	public boolean afterLast;
	public int index;
	public intrinsic.mx.collections.CursorBookmark bookmark;
	public boolean beforeFirst;
	public intrinsic.mx.collections.ICollectionView view;
	public Object current;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public HierarchicalViewCursor() {
}

public HierarchicalViewCursor(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}


/** Static Methods */

/** Methods */
public native boolean findAny(Object arg0);
public native void moveToLast();
public native boolean moveNext();
public native void collectionChangeHandler(intrinsic.mx.events.CollectionEvent arg0);
public native void seek(intrinsic.mx.collections.CursorBookmark arg0);
public native void seek(intrinsic.mx.collections.CursorBookmark arg0, int arg1);
public native void seek(intrinsic.mx.collections.CursorBookmark arg0, int arg1, int arg2);
public native boolean findLast(Object arg0);
public native Object remove();
public native boolean movePrevious();
public native boolean findFirst(Object arg0);
public native void insert(Object arg0);

}
